/**
 * If a url has no path component, etc. abbreviate it to just the hostname
 *
 * @param {string} u The url to be abbreviated
 * @returns {string} The abbreviated url
 */
export declare function abbreviateUrl(u?: string): string;
export declare function unabbreviateUrl(u?: string): string;
export declare function parseUrl(u: string): URL;
export declare const PERMITTED_URL_SCHEMES: string[];
